Skip to content

GET relevant source OpenApi schema per API endpoint.

GET
/api/ml/data/namespaces/{namespace}/virtual_hosts/{name}/api_endpoint/sources_openapi_schema
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/virtual_hosts/example/api_endpoint/sources_openapi_schema \
--header 'Authorization: <Authorization>'

GET openapi schema per API endpoint for a given source types and Virtual Host.

Examples of this operation.

namespace
required
string

Namespace Namespace of the App type for current request.

name
required
string

Virtual Host Virtual Host Name for current request.

id
string

Endpoint ID.

discovery_source_types
Array<string>
Allowed values: MERGED TRAFFIC CRAWLER CODE_SCAN

List of wanted discovery source types

Merging all source types to one spec Discovery spec from traffic data Discovery spec from crawler engine Discovery spec from code scan.

A successful response.

Media typeapplication/json
APIEPSourceOpenApiSchemaRsp GET response

Shape of response to GET API endpoint Open API Schema request for specific sources.

object
api_specs
API Specifications

Discovered API Specifications based on discovery Source.

object
Examplegenerated
{
"api_specs": {}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example